package com.hai.service;

import com.hai.entity.ApiAmountRecord;
import com.hai.entity.ApiIpAddress;

import java.util.List;
import java.util.Map;

/**
 * @serviceName ApiIpAddressService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // Api商户IP地址管理
 * @createTime 14:18 2022/12/6
 **/
public interface ApiIpAddressService {

    /**
     * @Author Sum1Dream
     * @Name insertApiIpAddress
     * @Description // 新增ip地址内容
     * @Date 14:21 2022/12/6
     * @Param [apiIpAddress]
     * @Return void
     */
    void insertApiIpAddress(ApiIpAddress apiIpAddress);

    /**
     * @Author Sum1Dream
     * @Name updateApiIpAddress
     * @Description // 修改IP地址内容
     * @Date 15:29 2022/12/6
     * @Param [apiIpAddress]
     * @Return void
     */
    void updateApiIpAddress(ApiIpAddress apiIpAddress);

    /**
     * @Author Sum1Dream
     * @Name findById
     * @Description // 查询ip地址详情
     * @Date 14:19 2022/12/6
     * @Param [id]
     * @Return com.hai.entity.ApiIpAddress
     */
    ApiIpAddress findById(Long id);

    /**
     * @Author Sum1Dream
     * @Name findByMchId
     * @Description // 根据商户号查询IP地址内容
     * @Date 14:23 2022/12/6
     * @Param [mchId]
     * @Return com.hai.entity.ApiIpAddress
     */
    ApiIpAddress findByMchId(String mchId);

    /**
     * @Author Sum1Dream
     * @Name getApiIpAddressByList
     * @Description // 查询IP地址列表
     * @Date 14:19 2022/12/6
     * @Param [map]
     * @Return java.util.List<com.hai.entity.ApiIpAddress>
     */
    List<ApiIpAddress> getApiIpAddressByList(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name validationIpAddressLegal
     * @Description // 验证IP地址合法性
     * @Date 09:49 2022/12/13
     * @Param [mchId, ipAddress]
     * @Return java.lang.Boolean
     */
    Boolean validationIpAddressLegal(String mchId , String ipAddress);

}
