package com.hai.service;

import com.hai.entity.ApiOrderRecord;

import java.util.List;
import java.util.Map;

/**
 * @serviceName ApiOrderRecordService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 订单记录查询
 * @createTime 15:17 2022/6/10
 **/
public interface ApiOrderRecordService {

    /**
    * @Author Sum1Dream
    * @name queryOrderResult.java
    * @Description // 查询订单详情
    * @Date 15:18 2022/6/10
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return com.hai.entity.ApiOrderRecord
    */
    ApiOrderRecord queryOrderResult(Map<String , Object> map);

    /**
    * @Author Sum1Dream
    * @name insertOrderRecord.java
    * @Description // 插入订单记录
    * @Date 15:28 2022/6/13
    * @Param [com.hai.entity.ApiOrderRecord]
    * @return void
    */
    void insertOrderRecord(ApiOrderRecord apiOrderRecord);

    /**
    * @Author Sum1Dream
    * @name updateOrderRecord.java
    * @Description // 更新
    * @Date 16:01 2022/6/13
    * @Param [com.hai.entity.ApiOrderRecord]
    * @return void
    */
    void updateOrderRecord(ApiOrderRecord apiOrderRecord);

    /**
    * @Author Sum1Dream
    * @name callBackOrderList.java
    * @Description // 查询15分钟内的未回调的订单
    * @Date 16:16 2022/6/15
    * @Param []
    * @return java.util.List<com.hai.entity.ApiOrderRecord>
    */
    List<ApiOrderRecord> callBackOrderList();
}
